import React from 'react';
import { IInputText } from './InputText';
import { IButton } from '../Button';
interface IInputButtonCustomProp {
    hideButton?: boolean;
    buttonProps: Omit<IButton, 'startImage' | 'endImage' | 'size' | 'display'>;
}
export declare type InputButtonProps = Omit<Partial<IInputButtonCustomProp & Omit<IInputText, keyof IInputButtonCustomProp>>, 'label' | 'errorText' | 'sucessText' | 'helperText'>;
declare const InputButton: React.FC<InputButtonProps>;
export default InputButton;
