import { FC } from 'react';
import { IInputText } from './InputText';
import { IInputTextarea } from './TextArea';
import { IInputNumber } from './InputNumber';
import { IInput as IInputProp } from './InputPassword';
import { InputButtonProps } from './InputButton';
declare type IInpytNumber = IInputNumber & {
    type?: 'number';
};
declare type IInpytTextArea = IInputTextarea & {
    type?: 'textarea';
};
declare type IInpytText = IInputText & {
    type?: 'text';
};
declare type IInpytPassword = IInputProp & {
    type?: 'password';
};
declare type IInputButton = InputButtonProps & {
    type?: 'inputbutton';
};
declare const InputWrapper: FC<IInpytNumber | IInpytTextArea | IInpytText | IInpytPassword | IInputButton>;
export default InputWrapper;
